---
features:
  secondary:
  - name: "Limit concurrent code-indexing jobs for advanced search"
    available_in: [premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/integration/advanced_search/elasticsearch.html#advanced-search-configuration'
    reporter: bvenker
    stage: data_stores
    categories:
    - Global Search
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/435402'
    description: |
      As a GitLab administrator, you can now set the maximum number of Elasticsearch code-indexing background jobs that can run concurrently. Previously, you could only limit the number of concurrent jobs by creating dedicated Sidekiq processes.
